Author Topic: up-to-date Samba on Zentyal?  (Read 465 times)

arakan94

  • Zen Apprentice
  • *
  • Posts: 14
  • Karma: +2/-0
    • View Profile
up-to-date Samba on Zentyal?
« on: December 03, 2020, 02:15:54 pm »
Is there a reasonable way to run more up-to-date Samba on Zentyal? the LTS version is very old..

It would probably mean importing some custom repository and web admin might not work at all..

badapple7

  • Zen Apprentice
  • *
  • Posts: 26
  • Karma: +10/-0
    • View Profile
Re: up-to-date Samba on Zentyal?
« Reply #1 on: December 09, 2020, 03:56:11 am »
yup!!! the samba version  for zentyal 6.2 is 4.7 on ubuntu 18.04 ?? no remember now...

You can force update of samba, but no recommend, the config could broken if only update samba, also other version samba requires other version bind, for config dns, if you haven't never experienced, the best is work on some VM.

---

Recently I upgrade a server ubuntu 18.04 to 20.04, no zentyal, (this server work samba-ad-dc, bind9, isc-dhcp, webmin and other utilities) at moment update samba I installed 4.11 and bind 9.16.1, I regenerated the dc using smbconfig file bkp, also I kept all files...for end all upgrade installed ok and all services perfect running...

doncamilo

  • Zen Samurai
  • ****
  • Posts: 478
  • Karma: +165/-1
    • View Profile
Re: up-to-date Samba on Zentyal?
« Reply #2 on: December 09, 2020, 09:51:53 am »
 :)

Don't do it! You'll break the package's consistency. Wait for the 7.0 version. Zentyal 7.0 will run Ubuntu Focal, so, Samba 4.11.

Cheers!
- Do my pigeons bother you passing over your land?
- They block the sun!

G. Guareschi., Don Camillo.,